CommitLogSegment (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Class CommitLogSegment

    java.lang.Object
      org.apache.cassandra.db.commitlog.CommitLogSegment

    public class CommitLogSegment

extends java.lang.Object

Field Summary
`java.util.Map<java.lang.Integer,java.lang.Integer>` | `cfLastWrite`
`long` | `id`

Constructor Summary
`CommitLogSegment()`

Method Summary
`void` | `close()`
`ReplayPosition` | `getContext()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`static long` | `idFromFilename(java.lang.String filename)`
`long` | `length()`
`static boolean` | `possibleCommitLogFile(java.lang.String filename)`
`void` | `sync()`
`java.lang.String` | `toString()`
`ReplayPosition` | `write(RowMutation rowMutation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public final long id

### cfLastWrite

    public final java.util.Map<java.lang.Integer,java.lang.Integer> cfLastWrite

Constructor Detail

### CommitLogSegment

    public CommitLogSegment()

Method Detail

### idFromFilename

    public static long idFromFilename(java.lang.String filename)

### possibleCommitLogFile

    public static boolean possibleCommitLogFile(java.lang.String filename)

### write

    public ReplayPosition write(RowMutation rowMutation)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### sync

    public void sync()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContext

    public ReplayPosition getContext()

### getPath

    public java.lang.String getPath()

### getName

    public java.lang.String getName()

### length

    public long length()

### close

    public void close()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation